unit Mapmain;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, WorldMap, StdCtrls, Buttons, ExtCtrls, DB, DBTables,
  Wwquery, Menus;

type
  TMAIN = class(TForm)
    MainMenu1: TMainMenu;
    Zoom1: TMenuItem;
    Full1: TMenuItem;
    Point1: TMenuItem;
    ShowPoints1: TMenuItem;
    SHowLabels1: TMenuItem;
    PlotPoints1: TMenuItem;
    SetCoordinates1: TMenuItem;
    SetZoom1: TMenuItem;
    N2: TMenuItem;
    N1: TMenuItem;
    Help1: TMenuItem;
    Contents1: TMenuItem;
    TopicSearch1: TMenuItem;
    LocQry: TwwQuery;
    M: TPanel;
    Label1: TLabel;
    Label3: TLabel;
    labels: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    points: TSpeedButton;
    curlat: TEdit;
    Curlong: TEdit;
    WorldMap1: TWorldMap;
    DrawLine1: TMenuItem;
    LinesButton1: TSpeedButton;
    FindPoint1: TMenuItem;
    procedure Full1Click(Sender: TObject);
    procedure ShowPoints1Click(Sender: TObject);
    procedure SHowLabels1Click(Sender: TObject);
    procedure SetZoom1Click(Sender: TObject);
    procedure PlotPoints1Click(Sender: TObject);
    procedure SetCoordinates1Click(Sender: TObject);
    procedure WorldMap1PointChange(Sender: TObject);
    procedure WorldMap1PointClicked(Sender: TObject;
      Curpoint: TPointObject; AIndex: Integer);
    procedure N1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure DrawLine1Click(Sender: TObject);
    procedure LinesButton1Click(Sender: TObject);
    procedure FindPoint1Click(Sender: TObject);
    procedure Contents1Click(Sender: TObject);
    procedure TopicSearch1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MAIN: TMAIN;

implementation
uses pdialog,Ldialog,Findpt;

{$R *.DFM}


procedure TMAIN.Full1Click(Sender: TObject);
begin
  Worldmap1.fullscreen;
end;

procedure TMAIN.ShowPoints1Click(Sender: TObject);
begin
  if Worldmap1.showpoints then begin
    Worldmap1.ShowPoints := false;
  end else begin
    Worldmap1.ShowPoints := true;
  end;
{  if Worldmap1.showpoints then begin
    points.groupindex := 0;
    points.down := FALSE;
    Showpoints1.checked := TRUE;
  end else begin
    points.groupindex := 1;
    points.down := TRUE;
    Showpoints1.checked := FAlSE;
  end;}

end;

procedure TMAIN.SHowLabels1Click(Sender: TObject);
begin
  if Worldmap1.showpointlabels then begin
    Worldmap1.showpointlabels := false;
  end else begin
    Worldmap1.showpointlabels := true;
  end;
{  if Worldmap1.showpointlabels then begin
    labels.groupindex := 0;
    labels.down := FALSE;
    showlabels1.checked := TRUE;
  end else begin
    labels.groupindex := 2;
    labels.down := TRUE;
    showlabels1.checked := FALSE;
  end;}
end;

procedure TMAIN.SetZoom1Click(Sender: TObject);
begin
  Worldmap1.EnableZoom:= true;
end;

procedure TMAIN.PlotPoints1Click(Sender: TObject);
var
 count : integer;
 MyBMP : TBitmap;
 Textlist : TStringlist;
 cwd : string;
begin
  { PointDlg := TPointDlg.Create(Application);
   Pointdlg.showmodal;}
   MyBMP := TBitmap.create;
   Textlist := TStringlist.create;
   try
     Worldmap1.Showpoints := false;
     MyBMP.loadfromfile('air.bmp');
     with LocQry do begin
       close;
       GetDir(0,cwd);
       databasename :=cwd;
       prepare;
       open;
       count := 0;
       while (not EOF) {and (count < 150)} do begin
         Textlist.Clear;
         Textlist.Add(fieldbyname('event_name').asstring);
         Textlist.Add(fieldbyname('geoloc_description').asString);
         Textlist.Add('LAT: '+fieldbyname('latitude').asstring);
         Textlist.Add('LONG: '+fieldbyname('longitude').asstring);
         {AddPoint(sLat,sLong:string;slLabels:TStringList;fFont:TFont;
                       cColor:TColor;Pstyle:TPointstyle;Bitmap:TBitmap);}
         Worldmap1.AddPoint(fieldbyname('latitude').asstring,
                          fieldbyname('longitude').asstring,
                          textlist,
                          Self.font,
                          clRed,
                          pspicture,
                          MyBMP,count);

         next;
         count := count + 1;
       end;
       Close;
     end;
     points.groupindex := 0;
     points.down := false;
     Showpoints1.checked := true;
     Worldmap1.Showpoints := true;
   finally
     MyBMP.free;
     Textlist.free;
   end;
end;

procedure TMAIN.SetCoordinates1Click(Sender: TObject);
begin
begin
  PointDlg := TPointDLg.Create(Application);
  PointDlg.ShowModal;
end;

end;

procedure TMAIN.WorldMap1PointChange(Sender: TObject);
begin
  Curlat.text := Worldmap1.CurrentLatitudeStr;
  Curlong.text := Worldmap1.CurrentLongitudestr;
end;

procedure TMAIN.WorldMap1PointClicked(Sender: TObject;
  Curpoint: TPointObject; AIndex: Integer);
begin
begin
   messagedlg('Current Point is '+inttostr(Aindex)+#13+
                Curpoint.labels.strings[0]+#13+
                Curpoint.labels.strings[1]+#13+
                Curpoint.labels.strings[2]+#13+
                Curpoint.labels.strings[3],mtInformation,[mbOk],0);

end;

end;

procedure TMAIN.N1Click(Sender: TObject);
begin
  Close;
end;

procedure TMAIN.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TMAIN.DrawLine1Click(Sender: TObject);
begin
 LineDlg := TLineDlg.Create(Application);
 LineDlg.Showmodal;
 Worldmap1.ShowLines := true;
end;

procedure TMAIN.LinesButton1Click(Sender: TObject);
begin
  Worldmap1.Showlines := not WorldMap1.showlines;
end;

procedure TMAIN.FindPoint1Click(Sender: TObject);
begin
  FindDlg := TFinddlg.Create(Application);
  Finddlg.Showmodal;
end;

procedure TMAIN.Contents1Click(Sender: TObject);
begin
 Application.helpjump('IDH_CONTENTS');
end;

procedure TMAIN.TopicSearch1Click(Sender: TObject);
begin
  Application.Helpcommand(help_partialkey,0);
end;

end.
